package com.ho.test.realexamples.test2.pojo;

import java.io.Serializable;
import java.util.EnumSet;


public enum MessageType implements Serializable {
	TYPE1 ("TYPE1", "My type 1"),
	TYPE2 ("TYPE2", "My type 2"),
	;
	
    // ----------------------------------------------------- PRIVATE ATTRIBUTES
    private String value;
    private String label;
	
    // ----------------------------------------------------------- CONSTRUCTORS
	private MessageType(String val, String label){
		this.value = val;
		this.label = label;
	}
	
	// --------------------------------------------------------- PUBLIC METHODS
    @Override
	public String toString() {
    	return this.value;
    }

    public static MessageType getByValue(String value) {
		for (final MessageType element : EnumSet.allOf(MessageType.class)) {
			if (element.toString().equals(value)) {
				return element;
			}
		}
		return null;
	} 
    
    public String getLabel(){
    	return this.label;
    }
    

}
