package com.ho.test.xstreamsite.test1simple;

/**
 * Notice that the fields are private. XStream doesn't care about the visibility of the fields. 
 * No getters or setters are needed. Also, XStream does not limit you to having a default constructor.
 * 
 * @author hozveren
 *
 */
public class Person {
	private String firstname;
	private String lastname;
	private PhoneNumber phone;
	private PhoneNumber fax;

	public Person() {
		super();
	}

	public Person(String firstname, String lastname){
		super();
		this.firstname = firstname;
		this.lastname = lastname;
	}

	public void setPhone(PhoneNumber phone) {
		this.phone = phone;
	}

	public void setFax(PhoneNumber fax) {
		this.fax = fax;
	}


	public String getFirstname() {
		return firstname;
	}

	public void setFirstname(String firstname) {
		this.firstname = firstname;
	}

	public String getLastname() {
		return lastname;
	}

	public void setLastname(String lastname) {
		this.lastname = lastname;
	}

	public PhoneNumber getPhone() {
		return phone;
	}

	public PhoneNumber getFax() {
		return fax;
	}

	@Override
	public boolean equals(Object obj){
		Person p = (Person) obj;
		boolean b = p.getFirstname().equals(this.getFirstname())
				&& p.getLastname().equals(this.getLastname())
				&& p.getPhone().equals(this.getPhone())
				&& p.getFax().equals(this.getFax())
			;
		
		return b;
	}

	
}
