package com.ho.test.xstreamsite.test3annotations.test3;

import junit.framework.TestCase;

import com.thoughtworks.xstream.XStream;
import com.thoughtworks.xstream.converters.SingleValueConverter;
import com.thoughtworks.xstream.io.xml.StaxDriver;

public class AnnotationsXstreamTest extends TestCase {
	
	/**
	 * http://xstream.codehaus.org/annotations-tutorial.html
	 * 
	 */
	public void test1() {
		RendezvousMessage msg = new RendezvousMessage(15, "firstPart","secondPart");
		
		// Implicit Collections
		{
			// The most basic annotation is the one responsible for type and field aliasing: @XStreamAlias.
	        System.out.println("---------------------------------------");
			XStream xstream = new XStream(new StaxDriver()); // does not require XPP3 library starting with Java 6
			// Enable the annotations
			xstream.processAnnotations(RendezvousMessage.class);
			
			System.out.println(xstream.toXML(msg));
			//			<?xml version="1.0" ?>
			//			<message>
			//				<type>15</type>
			//				<string>firstPart</string>
			//				<string>secondPart</string>
			//			</message>
		}
		
	}

	
	/**
	 * Method setUp
	 * @throws Exception
	 * @see junit.framework.TestCase#setUp()
	 */
	@Override
	protected void setUp() throws Exception {
		super.setUp();
	}

    

}
