package com.ho.test.xstreamsite.test3annotations.test4;

import junit.framework.TestCase;

import com.thoughtworks.xstream.XStream;
import com.thoughtworks.xstream.converters.SingleValueConverter;
import com.thoughtworks.xstream.io.xml.StaxDriver;

public class AnnotationsXstreamTest extends TestCase {
	
	/**
	 * http://xstream.codehaus.org/annotations-tutorial.html
	 * 
	 */
	public void test1() {
		RendezvousMessage msg = new RendezvousMessage(15, true, "firstPart","secondPart");
		
		// Local Converters
		{
			// The most basic annotation is the one responsible for type and field aliasing: @XStreamAlias.
			// Now we face the following problem: We want to use a custom converter locally for this Calendar, but only for this Calendar, 
			// this exact field in this exact type. Easy... let's annotate it with the custom converter annotation:
	        System.out.println("---------------------------------------");
			XStream xstream = new XStream(new StaxDriver()); // does not require XPP3 library starting with Java 6
			xstream.processAnnotations(RendezvousMessage.class);
			System.out.println(xstream.toXML(msg));
			//		<?xml version="1.0" ?>
			//		<message>
			//			<type>15</type>
			//			<part>firstPart</part>
			//			<part>secondPart</part>
			//			<important>yes</important>
			//			<created>1343261037976</created>
			//		</message>

		}
		
	}

	
	/**
	 * Method setUp
	 * @throws Exception
	 * @see junit.framework.TestCase#setUp()
	 */
	@Override
	protected void setUp() throws Exception {
		super.setUp();
	}

    

}
