package com.ho.test.xstreamsite.test3annotations.test5;

import junit.framework.TestCase;

import com.thoughtworks.xstream.XStream;
import com.thoughtworks.xstream.converters.SingleValueConverter;
import com.thoughtworks.xstream.io.xml.StaxDriver;

public class AnnotationsXstreamTest extends TestCase {
	
	/**
	 * http://xstream.codehaus.org/annotations-tutorial.html
	 * 
	 */
	public void test1() {
		RendezvousMessage msg = new RendezvousMessage(15, true, "firstPart","secondPart");
		
		// Attributes
		{
			// The client may asks for the type tag and the importance flag to be an attribute inside the message tag
	        System.out.println("---------------------------------------");
			XStream xstream = new XStream(new StaxDriver()); // does not require XPP3 library starting with Java 6
			xstream.processAnnotations(RendezvousMessage.class);
			System.out.println(xstream.toXML(msg));
			//			<?xml version="1.0" ?>
			//			<message type="15" important="yes">
			//				<part>firstPart</part>
			//				<part>secondPart</part>
			//				<created>1343261163509</created>
			//			</message>

		}
		
	}

	
	/**
	 * Method setUp
	 * @throws Exception
	 * @see junit.framework.TestCase#setUp()
	 */
	@Override
	protected void setUp() throws Exception {
		super.setUp();
	}

    

}
