package com.ho.test.xstreamsite.test3annotations.test6;

import junit.framework.TestCase;

import com.thoughtworks.xstream.XStream;
import com.thoughtworks.xstream.io.xml.StaxDriver;

public class AnnotationsXstreamTest extends TestCase {
	
	/**
	 * http://xstream.codehaus.org/annotations-tutorial.html
	 * 
	 */
	public void test1() {
		RendezvousMessage msg = new RendezvousMessage(15, false, "This is the message content.");
		
		// Field as Text Value
		{
			// Sometimes it is desirable to use a single field as text value for a XML element and all other fields should be written as attributes. 
			// XStream delivers the ToAttributedValueConverter.
	        System.out.println("---------------------------------------");
			XStream xstream = new XStream(new StaxDriver()); // does not require XPP3 library starting with Java 6
			
			xstream.processAnnotations(RendezvousMessage.class);
			//xstream.autodetectAnnotations(true);
			
			System.out.println(xstream.toXML(msg));			
			//			<?xml version="1.0" ?>
			//			<message type="15" important="no">
			//				<time>1343263102830</time>
			//				<timezone>Europe/Paris</timezone>
			//				This is the message content.
			//			</message>
		
			// ===> STRANGE !!!!!!!! 
			// EXPECTED: <message type="15" important="no" created="1154097812245">This is the message content.</message>
		}
		
	}

	
	/**
	 * Method setUp
	 * @throws Exception
	 * @see junit.framework.TestCase#setUp()
	 */
	@Override
	protected void setUp() throws Exception {
		super.setUp();
	}

    

}
