package com.ho.test.xstreamsite.test3annotations.test7;

import junit.framework.TestCase;

import com.thoughtworks.xstream.XStream;
import com.thoughtworks.xstream.io.xml.StaxDriver;

public class AnnotationsXstreamTest extends TestCase {
	
	/**
	 * http://xstream.codehaus.org/annotations-tutorial.html
	 * 
	 */
	public void test1() {
		RendezvousMessage msg = new RendezvousMessage(15, false, "firstPart", "secondPart");
		
		// Omitting Fields
		{
			// Sometimes a class may contain elements that should not be part of the resulting XML. In our case we may now drop the 'messageType', since we are only interested at the content. 
			// This is easy using the @XStreamOmitField annotation:
	        System.out.println("---------------------------------------");
			XStream xstream = new XStream(new StaxDriver()); // does not require XPP3 library starting with Java 6
			
			xstream.processAnnotations(RendezvousMessage.class);
			//xstream.autodetectAnnotations(true);
			
			System.out.println(xstream.toXML(msg));
			//			<?xml version="1.0" ?>
			//			<message>
			//				<part>firstPart</part>
			//				<part>secondPart</part>
			//				<important>no</important>
			//				<created>1343290467974</created>
			//			</message
		}
		
	}

	
	/**
	 * Method setUp
	 * @throws Exception
	 * @see junit.framework.TestCase#setUp()
	 */
	@Override
	protected void setUp() throws Exception {
		super.setUp();
	}

    

}
