package com.ho.test.xstreamsite.test4converter.test1;

import junit.framework.TestCase;

import com.thoughtworks.xstream.XStream;
import com.thoughtworks.xstream.io.xml.StaxDriver;

public class ConverterXstreamTest extends TestCase {
	
	/**
	 * http://xstream.codehaus.org/converter-tutorial.html
	 * 
	 */
	public void test1() {
		
		//To use XStream, simply instantiate the XStream class:
		//XStream xstream = new XStream();
		
		//You require xstream-[version].jar, xpp3-[version].jar and xmlpull-[version].jar in the classpath. 
		// 		Xpp3 is a very fast XML pull-parser implementation. If you do not want to include these dependencies, 
		// 		you can use a standard JAXP DOM parser or since Java 6 the integrated StAX parser instead:
		//XStream xstream = new XStream(new DomDriver()); // does not require XPP3 library 
		//XStream xstream = new XStream(new StaxDriver()); // does not require XPP3 library starting with Java 6
			
		{
			System.out.println("---------------------------------------");
			Person person = new Person();
	        person.setName("Guilherme");
	        
	        XStream xstream = new XStream(new StaxDriver()); // does not require XPP3 library starting with Java 6
	        
	        System.out.println(xstream.toXML(person));
			// This results in a really ugly XML code which contains the full class name (including package)...
			//	        <?xml version="1.0" ?>
			//	        <com.ho.test.xstream.test4converter.Person>
			//	        	<name>Guilherme</name>
			//	        </com.ho.test.xstream.test4converter.Person>
		}

		
		{
			System.out.println("---------------------------------------");
			Person person = new Person();
	        person.setName("Guilherme");
	        
	        XStream xstream = new XStream(new StaxDriver()); // does not require XPP3 library starting with Java 6
	        xstream.alias("person", Person.class);
	        
	        System.out.println(xstream.toXML(person));
	        // And the outcome is much easier to read (and smaller):
			//	        <?xml version="1.0" ?>
			//	        <person>
			//	        	<name>Guilherme</name>
			//	        </person>
		}
		
		
		{
			System.out.println("---------------------------------------");
			Person person = new Person();
	        person.setName("Guilherme");
	        
	        XStream xstream = new XStream(new StaxDriver()); // does not require XPP3 library starting with Java 6
	        xstream.registerConverter(new PersonConverter());
	        xstream.alias("person", Person.class);

	        System.out.println(xstream.toXML(person));
	        // The final result is:
			//	        <?xml version="1.0" ?>
			//	        <person>
			//	        	<fullname>Guilherme</fullname>
			//	        </person>
		}
     
	}

	
	/**
	 * Method setUp
	 * @throws Exception
	 * @see junit.framework.TestCase#setUp()
	 */
	@Override
	protected void setUp() throws Exception {
		super.setUp();
	}


}
