package com.ho.test.xstreamsite.test4converter.test2;

import junit.framework.TestCase;

import com.thoughtworks.xstream.XStream;
import com.thoughtworks.xstream.io.xml.StaxDriver;

public class ConverterXstreamTest extends TestCase {
	
	/**
	 * http://xstream.codehaus.org/converter-tutorial.html
	 * 
	 */
	public void test1() {
		
		//To use XStream, simply instantiate the XStream class:
		//XStream xstream = new XStream();
		
		//You require xstream-[version].jar, xpp3-[version].jar and xmlpull-[version].jar in the classpath. 
		// 		Xpp3 is a very fast XML pull-parser implementation. If you do not want to include these dependencies, 
		// 		you can use a standard JAXP DOM parser or since Java 6 the integrated StAX parser instead:
		//XStream xstream = new XStream(new DomDriver()); // does not require XPP3 library 
		//XStream xstream = new XStream(new StaxDriver()); // does not require XPP3 library starting with Java 6
			
		// An alternative for types with String representation
		{

			// An alternative for types with String representation
			// Let's enhance the Person with a String representation, that contains all necessary text to recreate the instance:
			System.out.println("---------------------------------------");
			Person person = new Person();
	        person.setName("Guilherme");
	        
	        XStream xstream = new XStream(new StaxDriver()); // does not require XPP3 library starting with Java 6
	        xstream.registerConverter(new PersonConverter());
	        xstream.alias("person", Person.class);

	        System.out.println(xstream.toXML(person));
	        // The final result is:
			//	        <?xml version="1.0" ?>
			//	        <person>Guilherme</person>
		}

		
		
	}

	
	/**
	 * Method setUp
	 * @throws Exception
	 * @see junit.framework.TestCase#setUp()
	 */
	@Override
	protected void setUp() throws Exception {
		super.setUp();
	}


}
