package com.ho.test.xstreamsite.test4converter.test3;

import java.text.DateFormat;
import java.util.Calendar;
import java.util.GregorianCalendar;
import java.util.Locale;

import junit.framework.TestCase;

import com.thoughtworks.xstream.XStream;
import com.thoughtworks.xstream.io.xml.StaxDriver;

public class DateConverterXstreamTest extends TestCase {
	
	/**
	 * http://xstream.codehaus.org/converter-tutorial.html
	 * 
	 */
	public void test1() {
		
		//To use XStream, simply instantiate the XStream class:
		//XStream xstream = new XStream();
		
		//You require xstream-[version].jar, xpp3-[version].jar and xmlpull-[version].jar in the classpath. 
		// 		Xpp3 is a very fast XML pull-parser implementation. If you do not want to include these dependencies, 
		// 		you can use a standard JAXP DOM parser or since Java 6 the integrated StAX parser instead:
		//XStream xstream = new XStream(new DomDriver()); // does not require XPP3 library 
		//XStream xstream = new XStream(new StaxDriver()); // does not require XPP3 library starting with Java 6
			
		// Date Converter
        // creates the xstream
        XStream xstream = new XStream(new StaxDriver()); // does not require XPP3 library starting with Java 6
        // brazilian portuguese locale
        xstream.registerConverter(new DateConverter(new Locale("pt", "br")));
        String xml = null;
        
        // Serialize
		{
			System.out.println("---------------------------------------");

			// grabs the current date from the virtual machine
            Calendar calendar = new GregorianCalendar();

            xml = xstream.toXML(calendar);

            // prints the result
            System.out.println(xml);
	        // The final result is:
			//            <?xml version="1.0" ?>
			//            <gregorian-calendar>
			//            	Quinta-feira, 26 de Julho de 2012
			//            </gregorian-calendar>
		}

		// Deserialize
		{
			System.out.println("---------------------------------------");
            // And now let's try to unmarshal the result shown above:
            // loads the calendar from the string
            Calendar loaded = (Calendar) xstream.fromXML(xml);
            
            // prints using the system defined locale
            System.out.println(DateFormat.getDateInstance(DateFormat.FULL).format(loaded.getTime()));
 
		}
		
		
	}

	
	/**
	 * Method setUp
	 * @throws Exception
	 * @see junit.framework.TestCase#setUp()
	 */
	@Override
	protected void setUp() throws Exception {
		super.setUp();
	}


}
